Package org.mariadb.jdbc.client.impl

## Class StandardReadableByteBuf

- java.lang.Object
- - org.mariadb.jdbc.client.impl.StandardReadableByteBuf

All Implemented Interfaces:
  `org.mariadb.jdbc.client.ReadableByteBuf`

    public final class StandardReadableByteBuf
    extends Object
    implements org.mariadb.jdbc.client.ReadableByteBuf

### Constructor Summary

Constructors
`StandardReadableByteBuf​(MutableInt sequence, byte[] buf, int limit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `buf()`
`StandardReadableByteBuf` `buf​(byte[] buf, int limit)`
`byte` `getByte()`
`byte` `getByte​(int index)`
`MutableInt` `getSequence()`
`short` `getUnsignedByte()`
`void` `mark()`
`int` `pos()`
`void` `pos​(int pos)`
`int` `readableBytes()`
`String` `readAscii​(int length)`
`MariaDbBlob` `readBlob​(int length)`
`byte` `readByte()`
`StandardReadableByteBuf` `readBytes​(byte[] dst)`
`byte[]` `readBytesNullEnd()`
`double` `readDouble()`
`double` `readDoubleBE()`
`float` `readFloat()`
`int` `readInt()`
`int` `readIntBE()`
`Integer` `readLength()`
`StandardReadableByteBuf` `readLengthBuffer()`
`int` `readLengthNotNull()`
`long` `readLong()`
`long` `readLongBE()`
`int` `readMedium()`
`short` `readShort()`
`String` `readString​(int length)`
`String` `readStringEof()`
`String` `readStringNullEnd()`
`short` `readUnsignedByte()`
`long` `readUnsignedInt()`
`int` `readUnsignedMedium()`
`int` `readUnsignedShort()`
`void` `reset()`
`void` `skip()`
`StandardReadableByteBuf` `skip​(int length)`
`int` `skipIdentifier()` Identifier can have a max length of 256 (alias) So no need to check whole length encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardReadableByteBuf

    public StandardReadableByteBuf​(MutableInt sequence,
                                   byte[] buf,
                                   int limit)

### Method Detail

#### readableBytes

    public int readableBytes()

Specified by:
  `readableBytes` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### pos

    public int pos()

Specified by:
  `pos` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### buf

    public byte[] buf()

Specified by:
  `buf` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### buf

    public StandardReadableByteBuf buf​(byte[] buf,
                                       int limit)

Specified by:
  `buf` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### pos

    public void pos​(int pos)

Specified by:
  `pos` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### mark

    public void mark()

Specified by:
  `mark` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### reset

    public void reset()

Specified by:
  `reset` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### skip

    public void skip()

Specified by:
  `skip` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### skip

    public StandardReadableByteBuf skip​(int length)

Specified by:
  `skip` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readBlob

    public MariaDbBlob readBlob​(int length)

Specified by:
  `readBlob` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### getSequence

    public MutableInt getSequence()

Specified by:
  `getSequence` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### getByte

    public byte getByte()

Specified by:
  `getByte` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### getByte

    public byte getByte​(int index)

Specified by:
  `getByte` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### getUnsignedByte

    public short getUnsignedByte()

Specified by:
  `getUnsignedByte` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readLengthNotNull

    public int readLengthNotNull()

Specified by:
  `readLengthNotNull` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### skipIdentifier

    public int skipIdentifier()

Identifier can have a max length of 256 (alias) So no need to check whole length encoding.

Specified by:
  `skipIdentifier` in interface `org.mariadb.jdbc.client.ReadableByteBuf`
Returns:
  current pos

#### readLength

    public Integer readLength()

Specified by:
  `readLength` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readByte

    public byte readByte()

Specified by:
  `readByte` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readUnsignedByte

    public short readUnsignedByte()

Specified by:
  `readUnsignedByte` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readShort

    public short readShort()

Specified by:
  `readShort` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readUnsignedShort

    public int readUnsignedShort()

Specified by:
  `readUnsignedShort` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readMedium

    public int readMedium()

Specified by:
  `readMedium` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readUnsignedMedium

    public int readUnsignedMedium()

Specified by:
  `readUnsignedMedium` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readInt

    public int readInt()

Specified by:
  `readInt` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readIntBE

    public int readIntBE()

Specified by:
  `readIntBE` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readUnsignedInt

    public long readUnsignedInt()

Specified by:
  `readUnsignedInt` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readLong

    public long readLong()

Specified by:
  `readLong` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readLongBE

    public long readLongBE()

Specified by:
  `readLongBE` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readBytes

    public StandardReadableByteBuf readBytes​(byte[] dst)

Specified by:
  `readBytes` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readBytesNullEnd

    public byte[] readBytesNullEnd()

Specified by:
  `readBytesNullEnd` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readLengthBuffer

    public StandardReadableByteBuf readLengthBuffer()

Specified by:
  `readLengthBuffer` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readString

    public String readString​(int length)

Specified by:
  `readString` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readAscii

    public String readAscii​(int length)

Specified by:
  `readAscii` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readStringNullEnd

    public String readStringNullEnd()

Specified by:
  `readStringNullEnd` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readStringEof

    public String readStringEof()

Specified by:
  `readStringEof` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readFloat

    public float readFloat()

Specified by:
  `readFloat` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readDouble

    public double readDouble()

Specified by:
  `readDouble` in interface `org.mariadb.jdbc.client.ReadableByteBuf`

#### readDoubleBE

    public double readDoubleBE()

Specified by:
  `readDoubleBE` in interface `org.mariadb.jdbc.client.ReadableByteBuf`